Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class DESedeParameters

    java.lang.Object
      org.bouncycastle.crypto.params.KeyParameter
          org.bouncycastle.crypto.params.DESParameters
              org.bouncycastle.crypto.params.DESedeParameters

All Implemented Interfaces:
  CipherParameters

public class DESedeParameters
extends DESParameters

Field Summary
`static int` | `DES_EDE_KEY_LENGTH`

Fields inherited from class org.bouncycastle.crypto.params.DESParameters
`DES_KEY_LENGTH`

Constructor Summary
`DESedeParameters(byte[] key)`

Method Summary
`static boolean` | `isReal2Key(byte[] key, int offset)` return true if the passed in key is a real 2 part DES-EDE key.
`static boolean` | `isReal3Key(byte[] key, int offset)` return true if the passed in key is a real 3 part DES-EDE key.
`static boolean` | `isRealEDEKey(byte[] key, int offset)` return true if the passed in key is a real 2/3 part DES-EDE key.
`static boolean` | `isWeakKey(byte[] key, int offset)` return true if the passed in key is a DES-EDE weak key.
`static boolean` | `isWeakKey(byte[] key, int offset, int length)` return true if the passed in key is a DES-EDE weak key.

Methods inherited from class org.bouncycastle.crypto.params.DESParameters
`setOddParity`

Methods inherited from class org.bouncycastle.crypto.params.KeyParameter
`copyTo, getKey, getKeyLength, reverse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DES_EDE_KEY_LENGTH

    public static final int DES_EDE_KEY_LENGTH

See Also:
  Constant Field Values

Constructor Detail

### DESedeParameters

    public DESedeParameters(byte[] key)

Method Detail

### isWeakKey

    public static boolean isWeakKey(byte[] key,
                                    int offset,
                                    int length)

  return true if the passed in key is a DES-EDE weak key.

  Parameters:
    `key` - bytes making up the key
    `offset` - offset into the byte array the key starts at
    `length` - number of bytes making up the key

### isWeakKey

    public static boolean isWeakKey(byte[] key,
                                    int offset)

  return true if the passed in key is a DES-EDE weak key.

  Parameters:
    `key` - bytes making up the key
    `offset` - offset into the byte array the key starts at

### isRealEDEKey

    public static boolean isRealEDEKey(byte[] key,
                                       int offset)

  return true if the passed in key is a real 2/3 part DES-EDE key.

  Parameters:
    `key` - bytes making up the key
    `offset` - offset into the byte array the key starts at

### isReal2Key

    public static boolean isReal2Key(byte[] key,
                                     int offset)

  return true if the passed in key is a real 2 part DES-EDE key.

  Parameters:
    `key` - bytes making up the key
    `offset` - offset into the byte array the key starts at

### isReal3Key

    public static boolean isReal3Key(byte[] key,
                                     int offset)

  return true if the passed in key is a real 3 part DES-EDE key.

  Parameters:
    `key` - bytes making up the key
    `offset` - offset into the byte array the key starts at

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD